This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 58461 - KDE and Gnome location in the RedHat /usr directory
KDE and Gnome location in the RedHat /usr directory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-17 04:55 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 04:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-17 04:55:31 EST
Hello,

Here is a general remark about KDE and Gnome
KDE has now reached version 2.2.2 and KDE3 is on its way to be released.
They are people who loved KDE1.x, others who love KDE2.x and others who are
going to prefer KDE3.x.
KDE is a fairly big package with a lot of files, executables...

Gnome is still a 1.x but will soon be 2.x
Some people will prefer Gnome 1.x and others will prefer 2.x

I am not really sure that it is a good idea to install Gnome or KDE under /usr
for the following reasons:
/usr/bin (for instance) is filled with hundreds of executable...
KDE1, KDE2 and KDE3 cannot be installed together via RPM on the same machine.
Same problem with Gnome 1.x and Gnome 2.x 

Can't it be possible to create a specific directory for KDE and Gnome (As it
already exists one for X11R6) and give the possibility to install the KDEs and
Gnomes in there? I know, this would have to conform the LHS, but I think there
should be some thinkings about where to install the windows managers in general
and KDE and Gnome in particular


Daniel
Comment 1 Preston Brown 2002-01-17 15:09:51 EST
while I agree with the idea in principal, the FHS is what is constricting us 
here, at least by most interpretations.  /usr/X11R6 was "grandfathered" in.

You can tell what files in /usr/bin belong to what with rpm -qf <filename>.

Comment 2 Need Real Name 2002-01-21 11:31:50 EST
Well, maybe the idea can be discussed with the people in charge of the FHS and
explain the nature of the problem... I am sure that an elegant solution can be
found. It is not even a technological problem... 
It seems to me very obvious that soon or later the problem will become acute.
KDE1, KDE2, KDE3...
Gnome 1, Gnome 2....
Gnustep 1...
Enlightenment 0.17...
The issue of the huge amount of files related to the window managers and their
related programs will need to be considered soon or later.

If there is a /usr/X11R6, why not a /usr/WinMan
and then inside of this directory: kde1, kde2, kde3, gnome1, gnome2 ...
This would make life so easier in the long run, I think. Choice and flexibility.
These are the key words... :)

Note You need to log in before you can comment on or make changes to this bug.